<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Flask app</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@0.9.4/css/bulma.min.css">
</head>
<body>
    <section class="hero is-primary is-fullheight">
        <div class="hero is-primary">
            <div class="hero-body">
                <div class="container has-text-centered">
                    <div class="column is-4 is-offset-4">
                        <h3 class="title">String magic!</h3>
                        {% if output_string != None or output_string != ''%}
                        <h4 class="subtitle">Your string: {{ output_string }}</h4>
                        {% endif %}
                        <form method="POST">
                            <div class="field">
                                <div class="control">
                                    <input type="text" id="string1" name="string1" class="input is-large" placeholder="First string">
                                </div>
                            </div>
                            <div class="field">
                                <div class="control">
                                    <input type="text" id="string2" name="string2" class="input is-large" placeholder="Second string">
                                </div>
                            </div>
                            <input type="submit" class="button is-block is-info is-large is-fullwidth">
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
</body>
</html>